/*---------------------------------------------*/
input {
  outline: none;
  border: none;
}

textarea {
  outline: none;
  border: none;
}

textarea:focus, input:focus {
  border-color: transparent !important;
}

input:focus::-webkit-input-placeholder { color:transparent; }
input:focus:-moz-placeholder { color:transparent; }
input:focus::-moz-placeholder { color:transparent; }
input:focus:-ms-input-placeholder { color:transparent; }

textarea:focus::-webkit-input-placeholder { color:transparent; }
textarea:focus:-moz-placeholder { color:transparent; }
textarea:focus::-moz-placeholder { color:transparent; }
textarea:focus:-ms-input-placeholder { color:transparent; }

input::-webkit-input-placeholder { color: #cecece;}
input:-moz-placeholder { color: #cecece;}
input::-moz-placeholder { color: #cecece;}
input:-ms-input-placeholder { color: #cecece;}

textarea::-webkit-input-placeholder { color: #cecece;}
textarea:-moz-placeholder { color: #cecece;}
textarea::-moz-placeholder { color: #cecece;}
textarea:-ms-input-placeholder { color: #cecece;}

label {
  display: block;
  margin: 0;
}

/*---------------------------------------------*/
button {
  outline: none !important;
  border: none;
  background: transparent;
}

button:hover {
  cursor: pointer;
}

iframe {
  border: none !important;
}

/*//////////////////////////////////////////////////////////////////
[ utility ]*/




/*//////////////////////////////////////////////////////////////////
[ Contact ]*/

.container-contact100 {
  width: 100%;
  min-height: 100vh;
  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  padding: 2px;
  /* background: #d867c6; */
  /* background: -webkit-linear-gradient(45deg, #c77ff2, #e8519e); */
  background: -o-linear-gradient(45deg, #c77ff2, #e8519e);
  background: -moz-linear-gradient(45deg, #c77ff2, #e8519e);
  /* background: linear-gradient(45deg, #c77ff2, #e8519e); */
}

.wrap-contact100 {
  width: 790px;
  /* background: #fff; */
  border-radius: 2px;
  padding: 2px 95px 68px 95px;
}


/*==================================================================
[ Form ]*/

.contact100-form {
  width: 100%;
  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.contact100-form-title {
  width: 100%;
  display: block;
  font-family: Oswald;
  font-size: 30px;
  color: #07BDEB;
  line-height: 1.2;
  text-align: center;
  padding-bottom: 2px; /*45px  */
}



/*------------------------------------------------------------------
[ Input ]*/

.wrap-input100 {
  width: 100%;
  position: relative;
  border: 0px solid #ffffff;
  border-radius: 2px;
  margin-bottom: 34px;
}

.rs1.wrap-input100 {
  width: calc((100% - 40px) / 2);
}


.label-input100 {
  font-family: Oswald;
  font-size: 13px;
  color: #ffffff;
  line-height: 1.5;
  text-transform: uppercase;
  width: 100%;
  padding-bottom: 11px;
  text-align: left;
}

.input100 {
  display: block;
  width: 100%;
  background: #fffefe;
  font-family: Oswald;
  font-size: 18px;
  color: #5a5a5a;
  line-height: 1.2;
  padding: 0 25px;
}

input.input100 {
  height: 55px;
}

textarea.input100 {
  min-height: 162px;
  padding-top: 19px;
  padding-bottom: 15px;
}

/*---------------------------------------------*/

.focus-input100 {
  position: absolute;
  display: block;
  width: calc(100% + 2px);
  height: calc(100% + 2px);
  top: -1px;
  left: -1px;
  pointer-events: none;
  border: 1px solid;
  border-color: #ffffff;
  border-color: -webkit-linear-gradient(45deg, #d61717, #e8519e);
  border-color: -o-linear-gradient(45deg, #d61717, #e8519e);
  border-color: -moz-linear-gradient(45deg, #d61717, #e8519e);
  border-color: linear-gradient(45deg, #d61717, #e8519e);
  background-color: rgba(0,0,0,0.7)

  visibility: hidden;
  opacity: 0;

  -webkit-transition: all 0.4s;
  -o-transition: all 0.4s;
  -moz-transition: all 0.4s;
  transition: all 0.4s;

  -webkit-transform: scaleX(1.1) scaleY(1.3);
  -moz-transform: scaleX(1.1) scaleY(1.3);
  -ms-transform: scaleX(1.1) scaleY(1.3);
  -o-transform: scaleX(1.1) scaleY(1.3);
  transform: scaleX(1.1) scaleY(1.3);
}

.input100:focus + .focus-input100 {
  visibility: visible;
  opacity: 1;

  -webkit-transform: scale(1);
  -moz-transform: scale(1);
  -ms-transform: scale(1);
  -o-transform: scale(1);
  transform: scale(1);
}



/*------------------------------------------------------------------
[ Button ]*/
.container-contact100-form-btn {
  width: 100%;
  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  margin-top: -4px;
}

.contact100-form-btn {
  font-family: Oswald;
  font-size: 16px;
  color: black;
  line-height: 1.2;
  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0 20px;
  min-width: 150px;
  height: 55px;
  border-radius: 27px;
  background: #07BDEB;
  background: -webkit-linear-gradient(45deg, #07BDEB, #AA00FF);
  background: -o-linear-gradient(45deg, #07BDEB, #AA00FF);
  background: -moz-linear-gradient(45deg, #07BDEB, #AA00FF);
  background: linear-gradient(45deg, #07BDEB, #AA00FF);
  position: relative;
  z-index: 1;
  -webkit-transition: all 0.4s;
  -o-transition: all 0.4s;
  -moz-transition: all 0.4s;
  transition: all 0.4s;
}
.contact100-form-btn:hover{
  color:white;
  border: 2px solid #07BDEB;
}

.contact100-form-btn::before {
  content: "";
  display: block;
  position: absolute;
  z-index: -1;
  border-radius: 27px;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  background: #07BDEB;
  opacity: 1;
  -webkit-transition: all 0.4s;
  -o-transition: all 0.4s;
  -moz-transition: all 0.4s;
  transition: all 0.4s;
}

.contact100-form-btn:hover:before {
  opacity: 0;
}

.contact100-form-btn i {
  -webkit-transition: all 0.4s;
  -o-transition: all 0.4s;
  -moz-transition: all 0.4s;
  transition: all 0.4s;
}
.contact100-form-btn:hover i {
  -webkit-transform: translateX(10px);
  -moz-transform: translateX(10px);
  -ms-transform: translateX(10px);
  -o-transform: translateX(10px);
  transform: translateX(10px);
}
.lista-dst{
  font-size: 18px;
  display: block;
  max-width: 100% !important;
  background: #ffffff;
  height: 57px;
  width: 100%;
  padding-left: 20px;
}
.dst{
  display: block;
  max-width: 100% !important;
  background: rgba(0,0,0,0.0);
  height: 57px;
  width: 100%;
  background-color: rgba(10,20,69,0.0);
  color: black;
}
.dst::focus{
  font-size: 18px;
  background-color: rgba(10,20,69,0.0);
  color: red;
}
.selecdst{ color: #aeaeae }
select {
   background: transparent;
   border: none;
   font-size: 14px;
   height: 30px;
   padding: 5px;
   width: 250px;
}
.select:focus{ outline: none;}

.dst::after{
  content:"\025be";
  display:table-cell;
  padding-top:7px;
  text-align:center;
  width:30px;
  height:30px;
  background-color:#d9d9d9;
  position:absolute;
  top:0;
  right:0px;  
  pointer-events: none;
}


/*------------------------------------------------------------------
[ Responsive ]*/

@media (max-width: 768px) {
  .wrap-contact100 {
    padding: 55px 45px 68px 45px;
  }
}

@media (max-width: 576px) {
  .wrap-contact100 {
    padding: 55px 15px 68px 15px;
  }

  .rs1.wrap-input100 {
    width: 100%;
  }

}


/*------------------------------------------------------------------
[ Alert validate ]*/

.validate-input {
  position: relative;
}

.alert-validate .focus-input100 {
  box-shadow: 0 5px 20px 0px rgba(250, 66, 81, 0.1);
  -moz-box-shadow: 0 5px 20px 0px rgba(250, 66, 81, 0.1);
  -webkit-box-shadow: 0 5px 20px 0px rgba(250, 66, 81, 0.1);
  -o-box-shadow: 0 5px 20px 0px rgba(250, 66, 81, 0.1);
  -ms-box-shadow: 0 5px 20px 0px rgba(250, 66, 81, 0.1);
}

.alert-validate::before {
  content: "";
  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  align-items: center;
  position: absolute;
  width: calc(100% + 2px);
  height: calc(100% + 2px);
  background-color: transparent;
  border: 1px solid #fa4251;
  border-radius: 2px;
  top: -1px;
  left: -1px;
  pointer-events: none;
}

.btn-hide-validate {
  font-family: Material-Design-Iconic-Font;
  font-size: 18px;
  color: #fa4251;
  cursor: pointer;
  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  height: 100%;
  top: 0px;
  right: -28px;
}

.rs1-alert-validate.alert-validate::before {
  background-color: #fff;
}

.true-validate::after {
  content: "\f26b";
  font-family: Material-Design-Iconic-Font;
  font-size: 18px;
  color: #00ad5f;

  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  height: 100%;
  top: 0px;
  right: -28px;
}

/*---------------------------------------------*/
@media (max-width: 576px) {
  .btn-hide-validate {
    right: 10px;
  }
  .true-validate::after {
    right: 10px;
  }
}



